// Shader for pins in the "cosmic" bowling center in PBA Challenge
// Copyright 2012 Concrete Software. All rights reserved.

uniform mat4 cs_ModelViewProjectionMatrix;
uniform mat3 cs_NormalMatrix;

attribute vec4 cs_Vertex;
attribute vec3 cs_Normal;
attribute vec4 cs_Color;

varying mediump vec3 var_Normal;
varying mediump vec3 var_Color;

void main()
{
	var_Normal = cs_NormalMatrix * cs_Normal;
    var_Color = cs_Color.rgb * 0.003921568627451; // 1/255
	gl_Position = cs_ModelViewProjectionMatrix * cs_Vertex;
}